<?php
/*
Plugin Name: Gift Ribbon
Plugin URI: 
Description: This plugin will add a new image on the top right corner which can be configured with a link.
Author: iteamweb
Version: 1.0
License: GPLv2
Author URI: 
*/
function giftribbonAdminMenuHandler(){
	function giftribbonOptionsHandler(){
		if (!current_user_can('manage_options'))  {
			wp_die( __('You do not have sufficient permissions to access this page.') );
		}		
		
		
		$errors;
		
		if($_POST['giftribbon-options-submit']){
			$options_pre = array();
			$options_pre['giftribbonlink'] = strip_tags(stripslashes($_POST['giftribbonlink']));
			$options_pre['giftribbonimagelink'] = strip_tags(stripslashes($_POST['giftribbonimagelink']));
			update_option('giftribbon-options', $options_pre);
		}
		
		$options = get_option('giftribbon-options');
	
		?>
		
		    <div class="wrap">
		      <h2>Gift Ribbon settings</h2>
			<form method="post">
				<h3>Settings</h3>

				<table class="form-table">					
					<tr valign="top">
						<th scope="row"><label for="args">Link</label></th>
						<td>
							<input name="giftribbonlink" value="<?php echo $options['giftribbonlink'];?>" type="text" />
							<span class="description">Link should start with http://</sp[an>
						</td>						
					</tr>				 
					<tr valign="top">
						<th scope="row"><label for="args">Image Link</label></th>
						<td>
							<input name="giftribbonimagelink" value="<?php echo $options['giftribbonimagelink'];?>" type="text" />
							<span class="description">Image Link should start with http:// .After Uploading image to Media the View URL can be used here</span>
						</td>						
					</tr>				 
				</table>

				<br/>
				<input type="submit" name="Submit" class="button-primary" value="<?php echo _e('Save Changes')?>"/>
				<input type="hidden" value="true" name="giftribbon-options-submit">
			</form>
		    </div>
		   
<?php
	}

	add_menu_page('Gift Ribbon Settings', 'Gift Ribbon', 'manage_options', __FILE__, 'giftribbonOptionsHandler');
}


// register menu
add_action('admin_menu', 'giftribbonAdminMenuHandler');

function gift_ribbon() {
	$options = get_option('giftribbon-options');
	if($options["giftribbonimagelink"]=="")
	$ribbon_url = plugins_url( 'gift-ribbon.png', __FILE__ );
else
	$ribbon_url = $options["giftribbonimagelink"];
	echo "<a target='_blank' class='gift_ribbon' href='{$options["giftribbonlink"]}'><img src='{$ribbon_url}' alt='Gift Ribbon' style='position: fixed; top: 0; right: 0; z-index: 100000; cursor: pointer;' /></a>";
}
add_action( 'wp_footer', 'gift_ribbon' );